"""Add patient_profile table

Revision ID: 99bb831012c5
Revises: 
Create Date: 2023-12-27 21:33:04.594990

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import sqlite

# revision identifiers, used by Alembic.
revision: str = '99bb831012c5'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('patient_profile.patient_profile',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('age', sqlite.JSON(), nullable=True),
    sa.Column('evidences', sqlite.JSON(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_patient_profile.patient_profile_id'), 'patient_profile.patient_profile', ['id'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_patient_profile.patient_profile_id'), table_name='patient_profile.patient_profile')
    op.drop_table('patient_profile.patient_profile')
    # ### end Alembic commands ###
